Default [APP][1.6-2.0] LunarMap Classic

I was updating my LunarMap HD/Lite moon maps apps and decided that I couldn't easily support 1.6-2.0 in the latest release, and there weren't many users on such old devices anyway. So I've released LunarMap HD for free for Android 1.6-2.0. You can get it from Google Play as "LunarMap Classic".

If you've got Android 2.1 or higher, you'll need LunarMap HD or LunarMap Lite. (LunarMap Lite has the same functionality as HD minus the terminator line and plus watermarking at higher zoom levels.)
Attached Thumbnails
Click image for larger version

Name:	mapGrayLRO.jpg
Views:	185
Size:	125.5 KB
ID:	2449312   Click image for larger version

Name:	mapColorLRO.jpg
Views:	165
Size:	77.0 KB
ID:	2449313